<?php
$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

$wp_customize->add_setting(
        'site_title_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'site_title_disable',
            array(
                'settings'      => 'site_title_disable',
                'section'       => 'title_tagline',
                'label'         => __( 'Hide Title', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

$wp_customize->add_setting(
        'site_tagline_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'site_tagline_disable',
            array(
                'settings'      => 'site_tagline_disable',
                'section'       => 'title_tagline',
                'label'         => __( 'Hide Tagline', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#ff62a3');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'title_tagline', 'Tagline Color', '#ff62a3');

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'Unboxthemes Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);

$sectionHeader = 'header_settings';

lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Colors');

addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenushVBGClr', 'header_settings', 'Menus Hover BG Color', '#6551f1');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#f0655e');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#e3ea4c');

addColorPalatOption($wp_customize, 'header_topsubmenushvbgColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active BG Color', '#f0655e');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_submenusbgbrdClr', 'header_settings', 'Dropdown Box Border Color', '#ff64a1');

lzCustomLable($wp_customize, 'abtbtn', 'header_settings' , 'Header Button Setting');

addColorPalatOption($wp_customize, 'header_btnphnicnclr', 'header_settings', 'Button Phone Icon Color', '#e4ef49');

$wp_customize->add_setting(
    'hedcornntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+0000 1111 2222' )
    )
);
$wp_customize->add_control(
    'hedcornntxt',
    array(
        'settings'      => 'hedcornntxt',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Contact Number', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_rhsbtntxtclr', 'header_settings', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'header_rhsbtntxthvclr', 'header_settings', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'header_rhsbtnbgclr', 'header_settings', 'Button BG Color', '#000');

addColorPalatOption($wp_customize, 'header_rhsbtnbghvclr', 'header_settings', 'Button BG Hover Color', '#f0655e');

addColorPalatOption($wp_customize, 'header_rhsbtnshwclr', 'header_settings', 'Button Shadow Color', '#a8adbf');

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Top Header BG Color', '#ece8f9');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#000');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuttlbgColor', 'header_settings', 'Menus Title BG Color', '#d5d5d5');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#624cf6');

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#ffb27a');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#624df0');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Innerpage Colors');

lzCustomLable($wp_customize, 'innheadr_Overlay', 'colors', 'Header Overlay Color');

$wp_customize->add_setting(
    'innheadr_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innheadr_Opacity',
    array(
        'settings'      => 'innheadr_Opacity',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_headeolyclr', 'colors', 'Inner Page Overlay Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgcolor1', 'colors', 'Inner Page Header BG Color', '#f1f5fe'); 

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_imgbgcolor1', 'colors', 'Inner Page Header Image Border Color 1', '#e3ea4c');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_imgbgcolor2', 'colors', 'Inner Page Header Image Border Color 2', '#f0655e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'colors', 'Inner Page Title Color', '#000');

$wp_customize->add_setting(
    'hrader_instalink',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '#', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'hrader_instalink',
    array(
        'settings'      => 'hrader_instalink',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Inner Page Header Instagram Link', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'hrader_twitlink',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '#', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'hrader_twitlink',
    array(
        'settings'      => 'hrader_twitlink',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Inner Page Header Twitter Link', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'hrader_fblink',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '#', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'hrader_fblink',
    array(
        'settings'      => 'hrader_fblink',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Inner Page Header Facebook Link', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_socialiconcolor', 'colors', 'Inner Page Header Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_socialiconbgcolor1', 'colors', 'Inner Page Header 1st Social Icon BG Color', '#fb545b');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_socialiconbgcolor2', 'colors', 'Inner Page Header 2nd Social Icon BG Color', '#73cade');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_socialiconbgcolor3', 'colors', 'Inner Page Header 3rd Social Icon BG Color', '#454261');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_socialiconshdclr', 'colors', 'Inner Page Header Social Icon Shadow Color', '#a8adbf');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'colors', 'Heading 1 Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'colors', 'Heading 2 Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'colors', 'Heading 3 Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'colors', 'Heading 4 Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'colors', 'Heading 5 Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'colors', 'Heading 6 Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlecolor', 'colors', 'Inner Page Sidebar Heading Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlebordercolor', 'colors', 'Inner Page Sidebar Heading BG Color & Product Button BG Color', '#ffb27a');

addColorPalatOption($wp_customize, 'luzuk_template_sibebr1clr', 'colors', 'Inner Page Sidebar BG Color', '#feecd8');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Sidebar Text Field Border Color', '#f3a981');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#777777');

addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitleiconbgcolor', 'colors', 'Inner Page Sidebar Menu Icon BG Color', '#ffb27a');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#51555e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionseprator_color', 'colors', 'Inner Page Separator Border Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner  Cart Page Product Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price Color', '#301007');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price Color', '#301007');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover Color', '#624df0');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Icons Color', '#f7844d');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkslistno_color', 'colors', 'Inner Page List Number Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list Number BG Color', '#fdecda');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksbrdclr_color', 'colors', 'Inner Page list Number Border Color', '#ffaf77');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'colors', 'Inner Page Blockquote BG Color', '#feecd8');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquotetext_color', 'colors', 'Inner Page Blockquote Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquoteicn_clr', 'colors', 'Inner Page Blockquote Icon Color', '#f85858');                                                         

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquotebrd_clr', 'colors', 'Inner Page Blockquote Border Color', '#fdb279');  

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#eaeaea');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#666565');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#666565');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Arrow');

addColorPalatOption($wp_customize, 'backt_top_arbgclr', 'colors', 'Site Navigation Arrow BG Color', '#634fef');

addColorPalatOption($wp_customize, 'backt_top_arrowclr', 'colors', 'Site Navigation Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'backt_top_arrowhvclr', 'colors', 'Site Navigation Arrow Hover Color', '#fe6aa6');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 

$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Current Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Hover Color', '#ff62a3');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Color', '#000');

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '22px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date Display Setting');

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

// end to show & hide button
addColorPalatOption($wp_customize, 'template_innerpage_blogbxshwclr', 'luzuk_blogpage_settings', 'Box Shadow Color', '#e5eafd');

addColorPalatOption($wp_customize, 'template_innerpage_blogbxbgclr', 'luzuk_blogpage_settings', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blogdatebgclr1one', 'luzuk_blogpage_settings', '1st Box Date BG Color One', '#ffae76');

addColorPalatOption($wp_customize, 'innerpage_blogdatebgclr1two', 'luzuk_blogpage_settings', '1st Box Date BG Color Two', '#ff8d4e');

addColorPalatOption($wp_customize, 'innerpage_blogdatebgclr2one', 'luzuk_blogpage_settings', '2nd Box Date BG Color One', '#ff92a5');

addColorPalatOption($wp_customize, 'innerpage_blogdatebgclr2two', 'luzuk_blogpage_settings', '2nd Box Date BG Color Two', '#ff65a3');

addColorPalatOption($wp_customize, 'innerpage_blogdatebgclr3one', 'luzuk_blogpage_settings', '3rd Box Date BG Color One', '#b197fc');

addColorPalatOption($wp_customize, 'innerpage_blogdatebgclr3two', 'luzuk_blogpage_settings', '3rd Box Date BG Color Two', '#614ef5');

addColorPalatOption($wp_customize, 'innerpage_blogicnautrclr', 'luzuk_blogpage_settings', 'Box Date Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blogdcicnclr', 'luzuk_blogpage_settings', 'Box Date Icon Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_blogtitleclr', 'luzuk_blogpage_settings', 'Box Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtextclr', 'luzuk_blogpage_settings', 'Box Text Color', '#818181');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbtntxtclr', 'luzuk_blogpage_settings', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbtntxthvclr', 'luzuk_blogpage_settings', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbtnbgclr', 'luzuk_blogpage_settings', 'Button BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbtnshdclr', 'luzuk_blogpage_settings', 'Button Shadow Color', '#e5eafd');

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#fceae0', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'newsletter_Form_label', 'footer_area', 'Newsletter Heading And Text');

$wp_customize->add_setting(
    'newsletter_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SUBSCRIBE TO OUR NEWSLETTER', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newsletter_title',
    array(
        'settings'      => 'newsletter_title',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Heading ', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'newsletter_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Nulla imperdiet molestie ante ac hendrerit. Donec nec faucibus nisi, et hendrerit.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newsletter_text',
    array(
        'settings'      => 'newsletter_text',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Text ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'newsletter_Form_shortcode', 'footer_area', 'Newsletter Form Shortcode');

lzAddElement($wp_customize, 'luzuk_newsletter_shortcode', 'footer_area', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Newsletter And Footer Color Setting');

addColorPalatOption($wp_customize, 'footerarea_newsbxbrdclr', 'footer_area', 'Newsletter Box Border Color', '#fac9a9');

addColorPalatOption($wp_customize, 'footerarea_newsbxbgclr', 'footer_area', 'Newsletter Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_newstextclr', 'footer_area', 'Newsletter Text Color', '#1f1c1c');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#6e6a69');

addColorPalatOption($wp_customize, 'footerarea_icon_color1', 'footer_area', '1st Icon Color', '#ff65a3');

addColorPalatOption($wp_customize, 'footerarea_icon_color2', 'footer_area', '2nd Icon Color', '#f78a4f');

addColorPalatOption($wp_customize, 'footerarea_icon_color3', 'footer_area', '3rd Icon Color', '#6450f0');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon Hover Color', '#6450f0');

addColorPalatOption($wp_customize, 'footerarea_siconbg_color', 'footer_area', 'Social Icon BG Color', '#6450f0');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#6e6a69');

addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Menu Hover Color', '#ff65a3');

addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#ff65a3');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#ff8645');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'FooterAreatabrdClr', 'footer_area', 'Form Text Border Color', '#feb78d');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#6b6a67');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Text Hover Color', '#ff65a3');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbghv_clr', 'footer_area', 'Form Button BG Hover Color', '#6752f9');

addColorPalatOption($wp_customize, 'footerarea_copyrightbrdclr', 'footer_area', 'Footer Border Color', '#b4afa9');

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Copyright @ 2022 Coffee Shop All Right Reserved', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_servicepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Services Shortcode Page Colors'); 


lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Services Page Images Of Equal Height.');


addColorPalatOption($wp_customize, 'luzuk_InnerServiceboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#fdfdff');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceboxshwColor', 'luzuk_innerpageshortcode_page_settings', 'Box Shadow Color', '#d1daf4');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceboxbgovlyColor1', 'luzuk_innerpageshortcode_page_settings', '1st Box Overlay Color', '#ece8f9');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceboxbgovlyColor2', 'luzuk_innerpageshortcode_page_settings', '2nd Box Overlay Color', '#fdf1f3');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceboxbgovlyColor3', 'luzuk_innerpageshortcode_page_settings', '3rd Box Overlay Color', '#fcefe6');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceTitleColor', 'luzuk_innerpageshortcode_page_settings', 'Box Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceTextColor', 'luzuk_innerpageshortcode_page_settings', 'Box Text Color', '#787878');

$wp_customize->add_setting(
    'ser_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'READ MORE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ser_button2',
    array(
        'settings'      => 'ser_button2',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconColor', 'luzuk_innerpageshortcode_page_settings', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconhvClr', 'luzuk_innerpageshortcode_page_settings', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconbgColor1', 'luzuk_innerpageshortcode_page_settings', '1st Box Button BG Color', '#634fef');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconbgColor2', 'luzuk_innerpageshortcode_page_settings', '2nd Box Button BG Color', '#ff63a2');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconbgColor3', 'luzuk_innerpageshortcode_page_settings', '3rd Box Button BG Color', '#fe8b4a');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtnbghvClr', 'luzuk_innerpageshortcode_page_settings', 'Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_teampagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Team Member Images Of Equal Height.{300*300}');

addColorPalatOption($wp_customize, 'pages_InnerTeambxcbgClr1', 'luzuk_innerpageshortcode_page_settings', '1st Box BG Color', '#ff8a4c');

addColorPalatOption($wp_customize, 'pages_InnerTeambxcbgClr2', 'luzuk_innerpageshortcode_page_settings', '2nd Box BG Color', '#6550e9');

addColorPalatOption($wp_customize, 'pages_InnerTeambxcbgClr3', 'luzuk_innerpageshortcode_page_settings', '3rd Box BG Color', '#ff63a2');

addColorPalatOption($wp_customize, 'pages_InnerTeambxcbgClr4', 'luzuk_innerpageshortcode_page_settings', '4th Box BG Color', '#fe9e62');

addColorPalatOption($wp_customize, 'pages_InnerTeambximgbrdClr1', 'luzuk_innerpageshortcode_page_settings', '1st Box Image Border Color', '#fd6f23');

addColorPalatOption($wp_customize, 'pages_InnerTeambximgbrdClr2', 'luzuk_innerpageshortcode_page_settings', '2nd Box Image Border Color', '#4d35eb');

addColorPalatOption($wp_customize, 'pages_InnerTeambximgbrdClr3', 'luzuk_innerpageshortcode_page_settings', '3rd Box Image Border Color', '#fe97ac');

addColorPalatOption($wp_customize, 'pages_InnerTeambximgbrdClr4', 'luzuk_innerpageshortcode_page_settings', '4th Box Image Border Color', '#fd8c52');

addColorPalatOption($wp_customize, 'pages_InnerTeamNameCColor', 'luzuk_innerpageshortcode_page_settings', 'Member Name Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamDesignationCColor', 'luzuk_innerpageshortcode_page_settings', 'Member Designation Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsColor', 'luzuk_innerpageshortcode_page_settings', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsbgColor1', 'luzuk_innerpageshortcode_page_settings', '1st Social Icon BG Color', '#ff2f85');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsbgColor2', 'luzuk_innerpageshortcode_page_settings', '2nd Social Icon BG Color', '#20cdeb');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsbgColor3', 'luzuk_innerpageshortcode_page_settings', '3rd Social Icon BG Color', '#452af1');

lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr1', 'luzuk_innerpageshortcode_page_settings', '1st Box BG Color', '#f9659f');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr2', 'luzuk_innerpageshortcode_page_settings', '2nd Box BG Color', '#fd8f50');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr3', 'luzuk_innerpageshortcode_page_settings', '3rd Box BG Color', '#fd8f50');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr4', 'luzuk_innerpageshortcode_page_settings', '4th Box BG Color', '#6956e3');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_icnclr', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_textcolor', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_Namecolor', 'luzuk_innerpageshortcode_page_settings', 'Client Name Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_contrybrdclr', 'luzuk_innerpageshortcode_page_settings', 'Client Name Border Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_postioncolor', 'luzuk_innerpageshortcode_page_settings', 'Client Designation Color', '#fff');

lzCustomLable($wp_customize, 'luzuk_videoinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Video Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_innvideoboxshdwColor', 'luzuk_innerpageshortcode_page_settings', 'Box Shadow Color', '#d1daf4');

addColorPalatOption($wp_customize, 'luzuk_innvideoplaybtnColor', 'luzuk_innerpageshortcode_page_settings', 'Play Button Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_innvideoplaybtnbgColor', 'luzuk_innerpageshortcode_page_settings', 'Play Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innvideonameColor', 'luzuk_innerpageshortcode_page_settings', 'Video Name Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_innvideonamebgColor', 'luzuk_innerpageshortcode_page_settings', 'Video Name BG Color', '#fff');

lzCustomLable($wp_customize, 'luzuk_modelinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Model Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_modelinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Model Images Of Same Resolution. Recomended Image Size Is 500x500px');

addColorPalatOption($wp_customize, 'luzuk_innmodelecimgshdclr', 'luzuk_innerpageshortcode_page_settings', 'Image Shadow Color ', '#d1daf4');

addColorPalatOption($wp_customize, 'luzuk_innmodelecimghvclr1', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color 1', '#ff62a3');

addColorPalatOption($wp_customize, 'luzuk_innmodelecimghvclr2', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color 2', '#624cf6');

addColorPalatOption($wp_customize, 'luzuk_innmodelecttle', 'luzuk_innerpageshortcode_page_settings', 'Model Name Color ', '#000');

addColorPalatOption($wp_customize, 'luzuk_innmodelecttlehvclr', 'luzuk_innerpageshortcode_page_settings', 'Model Name Hover Color ', '#f25695');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery Image Of Same Resolution. Recomended Image Size Is 600x600px');

addColorPalatOption($wp_customize, 'luzuk_gallinnimgClr', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_gallinnimghvClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_gallinntitleClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_gallinntitlebgClr', 'luzuk_innerpageshortcode_page_settings', 'Title BG Color', '#fe6da4');

lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors');

$wp_customize->add_setting(
    'faq_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'faq_image_heading',
        array(
            'settings'      => 'faq_image_heading',
            'section'       => 'luzuk_innerpageshortcode_page_settings',
            'label'         => __( 'Left Side Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'faq_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'faq_image',
        array(
            'section' => 'luzuk_innerpageshortcode_page_settings',
            'settings' => 'faq_image',
            'description' => __('Recommended Image Size: 570X600px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'luzuk_faqinnimgbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color', '#fd8f50');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Question Text And Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor1', 'luzuk_innerpageshortcode_page_settings', '1st Question Box And Icon BG Color', '#ff8a4a');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor2', 'luzuk_innerpageshortcode_page_settings', '2nd Question Box And Icon BG Color', '#ff63a2');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor3', 'luzuk_innerpageshortcode_page_settings', '3rd Question Box And Icon BG Color', '#634fef');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr1', 'luzuk_innerpageshortcode_page_settings', '1st Answer Text BG Color', '#fddec9');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr2', 'luzuk_innerpageshortcode_page_settings', '2nd  Answer Text BG Color', '#f7dfe9');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr3', 'luzuk_innerpageshortcode_page_settings', '3rd Answer Text BG Color', '#dedbf3');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Faq Answer Text Color', '#918f90');

$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '40px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading',
	array(
		'settings'      => 'pages_innerpageheading',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '30px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);
 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '24px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '22px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '19px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '18px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');


$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f008', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);