<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#f1f5fe', get_template_directory_uri().'/images/default.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Heading & Sub Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'aboutsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Our Agency', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsubtitle',
    array(
        'settings'      => 'aboutsubtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsbuheading', 'about_area', 'Sub Heading Color ', '#7e7f84');

addColorPalatOption($wp_customize, 'about_secsbuheadingbrd', 'about_area', 'Sub Heading Border Color ', '#ee7376');

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'YOUR BEAUTY AND SUCCESS STARTS HERE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Heading Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Heading Color ', '#000');


$wp_customize->add_setting(
    'about_text1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pretium massa. Morbi dapibus metus finibus, condimentum dolor non, accumsan augue. Mauris rutrum libero dui, nec elementum mi tristique eget.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text1',
    array(
        'settings'      => 'about_text1',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text 1', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_text2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'It is a long established fact that a reader will be distracted by the read able content of  a page when looking  at its layout. The  point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text2',
    array(
        'settings'      => 'about_text2',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text 2', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#6b6e73');

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans To Show', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 9));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plans To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 10; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'Plan ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-scissors',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Nsectetur cing elit.');
}

lzCustomLable($wp_customize, 'aboutbtn', 'about_area' , 'Button Setting');

$wp_customize->add_setting(
    'abtbtntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'READ MORE' )
    )
);
$wp_customize->add_control(
    'abtbtntxt',
    array(
        'settings'      => 'abtbtntxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'Sec_abtclor', 'about_area' , 'About Color Setting');

addColorPalatOption($wp_customize, 'about_area_pagebxicn', 'about_area', 'Plan Icon Color', '#f25695');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Plan Title Color', '#000');

addColorPalatOption($wp_customize, 'about_area_btnshdwclr', 'about_area', 'Button Shadow Color', '#a8adbf');

addColorPalatOption($wp_customize, 'about_area_btntext', 'about_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_btntexthv', 'about_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_btnbg', 'about_area', 'Button BG Color', '#000');

addColorPalatOption($wp_customize, 'about_area_btnbghv', 'about_area', 'Button BG Hover Color', '#f25695');

 // main image
$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 500X450px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_secsigbrd1', 'about_area', 'Image Border Color 1', '#e3ea4c');

addColorPalatOption($wp_customize, 'about_secsigbrd2', 'about_area', 'Image Border Color 2', '#fc454b');