<?php
$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'premium_slider_section',
			'label'         => __( 'Show Title And Description On Slider', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			),
		)
	)
);

backgroundManager($wp_customize, 'slidebg', 'slider_section', $color='#fff', get_template_directory_uri().'/images/sliderbg.png', 'color');

$wp_customize->add_setting('luzuk_premium_slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'luzuk_premium_slider_section_lbl',
		array(
			'settings'		=> 'luzuk_premium_slider_section_lbl',
			'section'		=> 'premium_slider_section',
			'label'			=> __( 'Note:', 'luzuk-premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 675X570', 'luzuk-premium' ),
		)
	)
);

backgroundManager($wp_customize, 'slider', 'premium_slider_section', $color='#fff', get_template_directory_uri().'/images/sliderBg.jpg', 'color');

lzCustomLable($wp_customize, 'luzuk_msliderclr', 'premium_slider_section', 'Slider Color Setting');

addColorPalatOption($wp_customize, 'slider_imgbrdColor1', 'premium_slider_section', 'Image Border Color 1', '#e3ea4c');

addColorPalatOption($wp_customize, 'slider_imgbrdColor2', 'premium_slider_section', 'Image Border Color 2', '#f0655e');

addColorPalatOption($wp_customize, 'slider_TitleColor', 'premium_slider_section', 'Slider Title Color', '#000');

addColorPalatOption($wp_customize, 'slider_textColor', 'premium_slider_section', 'Slider Text Color', '#393c43');

addColorPalatOption($wp_customize, 'slider_ButtonTextClr', 'premium_slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtonTexthvClr', 'premium_slider_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtonbgColor', 'premium_slider_section', 'Button BG Color', '#000');

addColorPalatOption($wp_customize, 'slider_ButtonbghoverColor', 'premium_slider_section', 'Button BG Hover Color', '#f0655e');

addColorPalatOption($wp_customize, 'slider_ButtonshdwClr', 'premium_slider_section', 'Button And Social Icon Shadow Color', '#a8adbf');

addColorPalatOption($wp_customize, 'slider_SocialiconColor', 'premium_slider_section', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SocialiconColor1', 'premium_slider_section', '1st Social Icon BG Color', '#fb545b');

addColorPalatOption($wp_customize, 'slider_SocialiconColor2', 'premium_slider_section', '2nd Social Icon BG Color', '#73cade');

addColorPalatOption($wp_customize, 'slider_SocialiconColor3', 'premium_slider_section', '3rd Social Icon BG Color', '#454261');